# NewManga

**NewManga** is a Python library for retrieving manga information from the Newmanga website. Note that this is not an official library.

## Features

- 🔍 **Search for manga** in the catalogue.
- 📄 **Retrieve detailed information** about manga.
- 📚 **Access short summaries** of manga chapters.
- 💬 **View comments** associated with manga.
- 🔗 **Discover similar manga projects**.
- 🌟 **Retrieve popular manga** and **manga currently being read**.
- 🔄 **Get updated manga**.
- 🏷️ **Receive manga tags**.
- 📦 **All responses** are provided as dataclasses.

## Installing

To install the library, run the following command:

```bash
pip install newmanga
```

## Usage

Here are examples demonstrating how to use various features of the library. Click on each link to view the corresponding example file:

- **Search for manga in the catalogue**: [search.py](examples/search.py)
- **Retrieve detailed information about manga**: [manga.py](examples/manga.py)
- **Access short summaries of manga chapters**: [chapters.py](examples/chapters.py)
- **View comments associated with manga**: [comments.py](examples/comments.py)
- **Discover similar manga projects**: [similar_projects.py](examples/similar_projects.py)
- **Get the first manga from the catalogue**: [first_manga.py](examples/first_manga.py)
